package com.ruoyi.project.training.elearn.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 岗位培训统计对象 t_el_record
 *
 * @author ssy
 * @date 2024-06-25
 */
public class TElRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 员工号 */
    @Excel(name = "员工号")
    private String staffId;
    private Long userId;
    /** 班组 */
    @Excel(name = "班组")
    private String classes;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 答题总数 */
    @Excel(name = "答题总数")
    private Integer quTotal;

    /** 正确数 */
    @Excel(name = "正确数")
    private Integer quRight;

    /** 考试次数 */
    @Excel(name = "考试次数")
    private Integer examTotal;

    /** 考试通过次数 */
    @Excel(name = "考试通过次数")
    private Integer examPassed;

    private String actualpost;

    public String getActualpost() {
        return actualpost;
    }

    public void setActualpost(String actualpost) {
        this.actualpost = actualpost;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public void setClasses(String classes)
    {
        this.classes = classes;
    }

    public String getClasses()
    {
        return classes;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setQuTotal(Integer quTotal)
    {
        this.quTotal = quTotal;
    }

    public Integer getQuTotal()
    {
        return quTotal;
    }
    public void setQuRight(Integer quRight)
    {
        this.quRight = quRight;
    }

    public Integer getQuRight()
    {
        return quRight;
    }
    public void setExamTotal(Integer examTotal)
    {
        this.examTotal = examTotal;
    }

    public Integer getExamTotal()
    {
        return examTotal;
    }
    public void setExamPassed(Integer examPassed)
    {
        this.examPassed = examPassed;
    }

    public Integer getExamPassed()
    {
        return examPassed;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("name", getName())
            .append("staffId", getStaffId())
            .append("classes", getClasses())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("quTotal", getQuTotal())
            .append("quRight", getQuRight())
            .append("examTotal", getExamTotal())
            .append("examPassed", getExamPassed())
            .toString();
    }
}
